* Bug 14498 fixed: size([],3) returned 1 instead of 0
[scilab.git] / scilab / modules / interpolation / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Localization of the module interpolation
23 # Please see in SCI/tools/localization for localization management
24 #
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # Copyright (C) 2012 - 2016 - Scilab Enterprises
31 #
32 # This file is hereby licensed under the terms of the GNU GPL v2.0,
33 # pursuant to article 5.3.4 of the CeCILL v.2.1.
34 # This file was originally licensed under the terms of the CeCILL v2.1,
35 # and continues to be available under such terms.
36 # For more information, see the COPYING file which you should have received
37 # along with this program.
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 am__is_gnu_make = { \
48   if test -z '$(MAKELEVEL)'; then \
49     false; \
50   elif test -n '$(MAKE_HOST)'; then \
51     true; \
52   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
53     true; \
54   else \
55     false; \
56   fi; \
57 }
58 am__make_running_with_option = \
59   case $${target_option-} in \
60       ?) ;; \
61       *) echo "am__make_running_with_option: internal error: invalid" \
62               "target option '$${target_option-}' specified" >&2; \
63          exit 1;; \
64   esac; \
65   has_opt=no; \
66   sane_makeflags=$$MAKEFLAGS; \
67   if $(am__is_gnu_make); then \
68     sane_makeflags=$$MFLAGS; \
69   else \
70     case $$MAKEFLAGS in \
71       *\\[\ \   ]*) \
72         bs=\\; \
73         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
74           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
75     esac; \
76   fi; \
77   skip_next=no; \
78   strip_trailopt () \
79   { \
80     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
81   }; \
82   for flg in $$sane_makeflags; do \
83     test $$skip_next = yes && { skip_next=no; continue; }; \
84     case $$flg in \
85       *=*|--*) continue;; \
86         -*I) strip_trailopt 'I'; skip_next=yes;; \
87       -*I?*) strip_trailopt 'I';; \
88         -*O) strip_trailopt 'O'; skip_next=yes;; \
89       -*O?*) strip_trailopt 'O';; \
90         -*l) strip_trailopt 'l'; skip_next=yes;; \
91       -*l?*) strip_trailopt 'l';; \
92       -[dEDm]) skip_next=yes;; \
93       -[JT]) skip_next=yes;; \
94     esac; \
95     case $$flg in \
96       *$$target_option*) has_opt=yes; break;; \
97     esac; \
98   done; \
99   test $$has_opt = yes
100 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
101 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
102 pkgdatadir = $(datadir)/@PACKAGE@
103 pkgincludedir = $(includedir)/@PACKAGE@
104 pkglibdir = $(libdir)/@PACKAGE@
105 pkglibexecdir = $(libexecdir)/@PACKAGE@
106 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
107 install_sh_DATA = $(install_sh) -c -m 644
108 install_sh_PROGRAM = $(install_sh) -c
109 install_sh_SCRIPT = $(install_sh) -c
110 INSTALL_HEADER = $(INSTALL_DATA)
111 transform = $(program_transform_name)
112 NORMAL_INSTALL = :
113 PRE_INSTALL = :
114 POST_INSTALL = :
115 NORMAL_UNINSTALL = :
116 PRE_UNINSTALL = :
117 POST_UNINSTALL = :
118 build_triplet = @build@
119 host_triplet = @host@
120 @NEED_JAVA_TRUE@am__append_1 = java
121 subdir = modules/interpolation
122 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
123 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
124         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
125         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
126         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
127         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
128         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
129         $(top_srcdir)/m4/intel_compiler.m4 \
130         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
131         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
132         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
133         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
134         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
135         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
136         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
137         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
138         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
139         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
140         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
141 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
142         $(ACLOCAL_M4)
143 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
144 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
145 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
146 CONFIG_CLEAN_FILES =
147 CONFIG_CLEAN_VPATH_FILES =
148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
149 am__vpath_adj = case $$p in \
150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
151     *) f=$$p;; \
152   esac;
153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
154 am__install_max = 40
155 am__nobase_strip_setup = \
156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
157 am__nobase_strip = \
158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
159 am__nobase_list = $(am__nobase_strip_setup); \
160   for p in $$list; do echo "$$p $$p"; done | \
161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
163     if (++n[$$2] == $(am__install_max)) \
164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
165     END { for (dir in files) print dir, files[dir] }'
166 am__base_list = \
167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
169 am__uninstall_files_from_dir = { \
170   test -z "$$files" \
171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
173          $(am__cd) "$$dir" && rm -f $$files; }; \
174   }
175 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
176         "$(DESTDIR)$(libsciinterpolation_la_etcdir)" \
177         "$(DESTDIR)$(libsciinterpolation_la_rootdir)" \
178         "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"
179 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
180 libsciinterpolation_algo_la_LIBADD =
181 am__dirstamp = $(am__leading_dot)dirstamp
182 am__objects_1 = src/c/libsciinterpolation_algo_la-interpolation.lo \
183         src/c/libsciinterpolation_algo_la-someinterp.lo
184 am__objects_2 = src/fortran/somespline.lo src/fortran/dspfit.lo \
185         src/fortran/cshep2d.lo
186 am_libsciinterpolation_algo_la_OBJECTS = $(am__objects_1) \
187         $(am__objects_2)
188 libsciinterpolation_algo_la_OBJECTS =  \
189         $(am_libsciinterpolation_algo_la_OBJECTS)
190 AM_V_lt = $(am__v_lt_@AM_V@)
191 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
192 am__v_lt_0 = --silent
193 am__v_lt_1 = 
194 am__DEPENDENCIES_1 =
195 libsciinterpolation_la_DEPENDENCIES = libsciinterpolation-algo.la \
196         $(am__DEPENDENCIES_1)
197 am__objects_3 =  \
198         sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo \
199         sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo \
200         sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo \
201         sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo \
202         sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo \
203         sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo \
204         sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo \
205         sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo \
206         sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo \
207         sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo \
208         sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo
209 am_libsciinterpolation_la_OBJECTS = $(am__objects_3)
210 libsciinterpolation_la_OBJECTS = $(am_libsciinterpolation_la_OBJECTS)
211 AM_V_P = $(am__v_P_@AM_V@)
212 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
213 am__v_P_0 = false
214 am__v_P_1 = :
215 AM_V_GEN = $(am__v_GEN_@AM_V@)
216 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
217 am__v_GEN_0 = @echo "  GEN     " $@;
218 am__v_GEN_1 = 
219 AM_V_at = $(am__v_at_@AM_V@)
220 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
221 am__v_at_0 = @
222 am__v_at_1 = 
223 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
224 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
225 am__depfiles_maybe = depfiles
226 am__mv = mv -f
227 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
228         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
229 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
230         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
231         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
232         $(AM_CFLAGS) $(CFLAGS)
233 AM_V_CC = $(am__v_CC_@AM_V@)
234 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
235 am__v_CC_0 = @echo "  CC      " $@;
236 am__v_CC_1 = 
237 CCLD = $(CC)
238 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
239         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
240         $(AM_LDFLAGS) $(LDFLAGS) -o $@
241 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
242 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
243 am__v_CCLD_0 = @echo "  CCLD    " $@;
244 am__v_CCLD_1 = 
245 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
246         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
247 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
248         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
249         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
250         $(AM_CXXFLAGS) $(CXXFLAGS)
251 AM_V_CXX = $(am__v_CXX_@AM_V@)
252 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
253 am__v_CXX_0 = @echo "  CXX     " $@;
254 am__v_CXX_1 = 
255 CXXLD = $(CXX)
256 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
258         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
259 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
260 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
261 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
262 am__v_CXXLD_1 = 
263 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
264 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
265         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
266 AM_V_F77 = $(am__v_F77_@AM_V@)
267 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
268 am__v_F77_0 = @echo "  F77     " $@;
269 am__v_F77_1 = 
270 F77LD = $(F77)
271 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
272         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
273         $(AM_LDFLAGS) $(LDFLAGS) -o $@
274 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
275 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
276 am__v_F77LD_0 = @echo "  F77LD   " $@;
277 am__v_F77LD_1 = 
278 SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
279         $(libsciinterpolation_la_SOURCES)
280 DIST_SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
281         $(libsciinterpolation_la_SOURCES)
282 am__can_run_installinfo = \
283   case $$AM_UPDATE_INFO_DIR in \
284     n|no|NO) false;; \
285     *) (install-info --version) >/dev/null 2>&1;; \
286   esac
287 DATA = $(libsciinterpolation_la_etc_DATA) \
288         $(libsciinterpolation_la_root_DATA) \
289         $(libsciinterpolation_la_sci_gateway_DATA)
290 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
291 # Read a list of newline-separated strings from the standard input,
292 # and print each of them once, without duplicates.  Input order is
293 # *not* preserved.
294 am__uniquify_input = $(AWK) '\
295   BEGIN { nonempty = 0; } \
296   { items[$$0] = 1; nonempty = 1; } \
297   END { if (nonempty) { for (i in items) print i; }; } \
298 '
299 # Make sure the list of sources is unique.  This is necessary because,
300 # e.g., the same source file might be shared among _SOURCES variables
301 # for different programs/libraries.
302 am__define_uniq_tagged_files = \
303   list='$(am__tagged_files)'; \
304   unique=`for i in $$list; do \
305     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
306   done | $(am__uniquify_input)`
307 ETAGS = etags
308 CTAGS = ctags
309 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
310         $(top_srcdir)/config/depcomp \
311         $(top_srcdir)/config/mkinstalldirs
312 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
313 ACLOCAL = @ACLOCAL@
314 ALL_LINGUAS = @ALL_LINGUAS@
315 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
316 AMTAR = @AMTAR@
317 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
318 ANT = @ANT@
319 ANTLR = @ANTLR@
320 AR = @AR@
321 ARPACK_LIBS = @ARPACK_LIBS@
322 ASM3 = @ASM3@
323 AUTOCONF = @AUTOCONF@
324 AUTOHEADER = @AUTOHEADER@
325 AUTOMAKE = @AUTOMAKE@
326 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
327 AWK = @AWK@
328 BATIK = @BATIK@
329 BLAS_CFLAGS = @BLAS_CFLAGS@
330 BLAS_LIBS = @BLAS_LIBS@
331 CC = @CC@
332 CCACHE = @CCACHE@
333 CCDEPMODE = @CCDEPMODE@
334 CFLAGS = @CFLAGS@
335 CHECKSTYLE = @CHECKSTYLE@
336 COBERTURA = @COBERTURA@
337 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
338 COMMONS_IO = @COMMONS_IO@
339 COMMONS_LOGGING = @COMMONS_LOGGING@
340 CPP = @CPP@
341 CPPFLAGS = @CPPFLAGS@
342 CURL_CFLAGS = @CURL_CFLAGS@
343 CURL_CONFIG = @CURL_CONFIG@
344 CURL_LIBS = @CURL_LIBS@
345 CURL_VERSION = @CURL_VERSION@
346 CXX = @CXX@
347 CXXCPP = @CXXCPP@
348 CXXDEPMODE = @CXXDEPMODE@
349 CXXFLAGS = @CXXFLAGS@
350 CYGPATH_W = @CYGPATH_W@
351 DEFS = @DEFS@
352 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
353 DEPDIR = @DEPDIR@
354 DLLTOOL = @DLLTOOL@
355 DOCBOOK_ROOT = @DOCBOOK_ROOT@
356 DOXYGEN_BIN = @DOXYGEN_BIN@
357 DSYMUTIL = @DSYMUTIL@
358 DUMPBIN = @DUMPBIN@
359 ECHO_C = @ECHO_C@
360 ECHO_N = @ECHO_N@
361 ECHO_T = @ECHO_T@
362 ECJ = @ECJ@
363 EGREP = @EGREP@
364 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
365 EXEEXT = @EXEEXT@
366 F77 = @F77@
367 FFLAGS = @FFLAGS@
368 FFTW3_LIB = @FFTW3_LIB@
369 FFTW_ENABLE = @FFTW_ENABLE@
370 FGREP = @FGREP@
371 FLEXDOCK = @FLEXDOCK@
372 FLIBS = @FLIBS@
373 FOP = @FOP@
374 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
375 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
376 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
377 FREEHEP_IO = @FREEHEP_IO@
378 FREEHEP_UTIL = @FREEHEP_UTIL@
379 GENHTML = @GENHTML@
380 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
381 GIWS_BIN = @GIWS_BIN@
382 GLUEGEN2_RT = @GLUEGEN2_RT@
383 GMSGFMT = @GMSGFMT@
384 GMSGFMT_015 = @GMSGFMT_015@
385 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
386 GREP = @GREP@
387 GUI_ENABLE = @GUI_ENABLE@
388 HAMCREST = @HAMCREST@
389 HAVE_CXX11 = @HAVE_CXX11@
390 HDF5_CFLAGS = @HDF5_CFLAGS@
391 HDF5_LIBS = @HDF5_LIBS@
392 HELP_ENABLE = @HELP_ENABLE@
393 INSTALL = @INSTALL@
394 INSTALL_DATA = @INSTALL_DATA@
395 INSTALL_PROGRAM = @INSTALL_PROGRAM@
396 INSTALL_SCRIPT = @INSTALL_SCRIPT@
397 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
398 INTLLIBS = @INTLLIBS@
399 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
400 JAR = @JAR@
401 JAVA = @JAVA@
402 JAVAC = @JAVAC@
403 JAVAC_DEBUG = @JAVAC_DEBUG@
404 JAVADOC = @JAVADOC@
405 JAVAH = @JAVAH@
406 JAVASCI_ENABLE = @JAVASCI_ENABLE@
407 JAVA_ENABLE = @JAVA_ENABLE@
408 JAVA_G = @JAVA_G@
409 JAVA_HOME = @JAVA_HOME@
410 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
411 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
412 JDB = @JDB@
413 JEUCLID_CORE = @JEUCLID_CORE@
414 JGRAPHX = @JGRAPHX@
415 JHALL = @JHALL@
416 JLATEXMATH = @JLATEXMATH@
417 JLATEXMATH_FOP = @JLATEXMATH_FOP@
418 JOGL2 = @JOGL2@
419 JROSETTA_API = @JROSETTA_API@
420 JROSETTA_ENGINE = @JROSETTA_ENGINE@
421 JUNIT4 = @JUNIT4@
422 LAPACK_LIBS = @LAPACK_LIBS@
423 LCOV = @LCOV@
424 LD = @LD@
425 LDFLAGS = @LDFLAGS@
426 LEX = @LEX@
427 LEXLIB = @LEXLIB@
428 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
429 LIBICONV = @LIBICONV@
430 LIBINTL = @LIBINTL@
431 LIBM = @LIBM@
432 LIBOBJS = @LIBOBJS@
433 LIBS = @LIBS@
434 LIBTOOL = @LIBTOOL@
435 LIPO = @LIPO@
436 LN_S = @LN_S@
437 LOGGING_LEVEL = @LOGGING_LEVEL@
438 LOOKS = @LOOKS@
439 LTLIBICONV = @LTLIBICONV@
440 LTLIBINTL = @LTLIBINTL@
441 LTLIBOBJS = @LTLIBOBJS@
442 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
443 LUCENE = @LUCENE@
444 LUCENE_ANALYZER = @LUCENE_ANALYZER@
445 LUCENE_PARSER = @LUCENE_PARSER@
446 MAINT = @MAINT@
447 MAKEINFO = @MAKEINFO@
448 MANIFEST_TOOL = @MANIFEST_TOOL@
449 MATIO_CFLAGS = @MATIO_CFLAGS@
450 MATIO_ENABLE = @MATIO_ENABLE@
451 MATIO_LIBS = @MATIO_LIBS@
452 MKDIR_P = @MKDIR_P@
453 MPI_ENABLE = @MPI_ENABLE@
454 MSGCAT = @MSGCAT@
455 MSGFMT = @MSGFMT@
456 MSGFMT_015 = @MSGFMT_015@
457 MSGMERGE = @MSGMERGE@
458 NM = @NM@
459 NMEDIT = @NMEDIT@
460 OBJDUMP = @OBJDUMP@
461 OBJEXT = @OBJEXT@
462 OCAMLC = @OCAMLC@
463 OCAMLDEP = @OCAMLDEP@
464 OCAMLLEX = @OCAMLLEX@
465 OCAMLOPT = @OCAMLOPT@
466 OCAMLYACC = @OCAMLYACC@
467 OPENMPI_CC = @OPENMPI_CC@
468 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
469 OPENMPI_CXX = @OPENMPI_CXX@
470 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
471 OPENMPI_LIBS = @OPENMPI_LIBS@
472 OPENMP_CFLAGS = @OPENMP_CFLAGS@
473 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
474 OPENMP_ENABLE = @OPENMP_ENABLE@
475 OPENMP_LIBS = @OPENMP_LIBS@
476 OTOOL = @OTOOL@
477 OTOOL64 = @OTOOL64@
478 PACKAGE = @PACKAGE@
479 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
480 PACKAGE_NAME = @PACKAGE_NAME@
481 PACKAGE_STRING = @PACKAGE_STRING@
482 PACKAGE_TARNAME = @PACKAGE_TARNAME@
483 PACKAGE_URL = @PACKAGE_URL@
484 PACKAGE_VERSION = @PACKAGE_VERSION@
485 PATH_SEPARATOR = @PATH_SEPARATOR@
486 PCRE_CFLAGS = @PCRE_CFLAGS@
487 PCRE_CONFIG = @PCRE_CONFIG@
488 PCRE_LIBS = @PCRE_LIBS@
489 PCRE_VERSION = @PCRE_VERSION@
490 PKG_CONFIG = @PKG_CONFIG@
491 POSUB = @POSUB@
492 POW_LIB = @POW_LIB@
493 PYTHON = @PYTHON@
494 RANLIB = @RANLIB@
495 RELOCATABLE = @RELOCATABLE@
496 RT_LIB = @RT_LIB@
497 SAXON = @SAXON@
498 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
499 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
500 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
501 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
502 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
503 SCIRENDERER = @SCIRENDERER@
504 SCIRENDERER_CP = @SCIRENDERER_CP@
505 SCI_CFLAGS = @SCI_CFLAGS@
506 SCI_CXXFLAGS = @SCI_CXXFLAGS@
507 SCI_FFLAGS = @SCI_FFLAGS@
508 SCI_LDFLAGS = @SCI_LDFLAGS@
509 SED = @SED@
510 SET_MAKE = @SET_MAKE@
511 SET_RELOCATABLE = @SET_RELOCATABLE@
512 SHELL = @SHELL@
513 SKINLF = @SKINLF@
514 SPLINT = @SPLINT@
515 STRIP = @STRIP@
516 SWIG_BIN = @SWIG_BIN@
517 SWIG_JAVA = @SWIG_JAVA@
518 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
519 SWIG_SCILAB = @SWIG_SCILAB@
520 TCLTK_LIBS = @TCLTK_LIBS@
521 TCL_INC_PATH = @TCL_INC_PATH@
522 TK_INC_PATH = @TK_INC_PATH@
523 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
524 UMFPACK_ENABLE = @UMFPACK_ENABLE@
525 UMFPACK_LIB = @UMFPACK_LIB@
526 USE_NLS = @USE_NLS@
527 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
528 VALGRIND_LIBS = @VALGRIND_LIBS@
529 VERSION = @VERSION@
530 WITH_OCAML = @WITH_OCAML@
531 WITH_TKSCI = @WITH_TKSCI@
532 XCOS_ENABLE = @XCOS_ENABLE@
533 XGETTEXT = @XGETTEXT@
534 XGETTEXT_015 = @XGETTEXT_015@
535 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
536 XMKMF = @XMKMF@
537 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
538 XML_APIS_EXT = @XML_APIS_EXT@
539 XML_CONFIG = @XML_CONFIG@
540 XML_FLAGS = @XML_FLAGS@
541 XML_LIBS = @XML_LIBS@
542 XML_VERSION = @XML_VERSION@
543 X_CFLAGS = @X_CFLAGS@
544 X_EXTRA_LIBS = @X_EXTRA_LIBS@
545 X_LIBS = @X_LIBS@
546 X_PRE_LIBS = @X_PRE_LIBS@
547 YACC = @YACC@
548 YFLAGS = @YFLAGS@
549 abs_builddir = @abs_builddir@
550 abs_srcdir = @abs_srcdir@
551 abs_top_builddir = @abs_top_builddir@
552 abs_top_srcdir = @abs_top_srcdir@
553 ac_ct_AR = @ac_ct_AR@
554 ac_ct_CC = @ac_ct_CC@
555 ac_ct_CXX = @ac_ct_CXX@
556 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
557 ac_ct_F77 = @ac_ct_F77@
558 am__include = @am__include@
559 am__leading_dot = @am__leading_dot@
560 am__quote = @am__quote@
561 am__tar = @am__tar@
562 am__untar = @am__untar@
563 bindir = @bindir@
564 build = @build@
565 build_alias = @build_alias@
566 build_cpu = @build_cpu@
567 build_os = @build_os@
568 build_vendor = @build_vendor@
569 builddir = @builddir@
570 cxx_present = @cxx_present@
571 datadir = @datadir@
572 datarootdir = @datarootdir@
573 docdir = @docdir@
574 dvidir = @dvidir@
575 exec_prefix = @exec_prefix@
576 host = @host@
577 host_alias = @host_alias@
578 host_cpu = @host_cpu@
579 host_os = @host_os@
580 host_vendor = @host_vendor@
581 htmldir = @htmldir@
582 includedir = @includedir@
583 infodir = @infodir@
584 install_sh = @install_sh@
585 libdir = @libdir@
586 libexecdir = @libexecdir@
587 localedir = @localedir@
588 localstatedir = @localstatedir@
589 mandir = @mandir@
590 mkdir_p = @mkdir_p@
591 oldincludedir = @oldincludedir@
592 pdfdir = @pdfdir@
593 prefix = @prefix@
594 program_transform_name = @program_transform_name@
595 psdir = @psdir@
596 runstatedir = @runstatedir@
597 sbindir = @sbindir@
598 sharedstatedir = @sharedstatedir@
599 srcdir = @srcdir@
600 sysconfdir = @sysconfdir@
601 target_alias = @target_alias@
602 top_build_prefix = @top_build_prefix@
603 top_builddir = @top_builddir@
604 top_srcdir = @top_srcdir@
605 yacc_present = @yacc_present@
606 INTERPOLATION_FORTRAN_SOURCES = \
607     src/fortran/somespline.f \
608     src/fortran/dspfit.f \
609     src/fortran/cshep2d.f
610
611 INTERPOLATION_C_SOURCES = \
612     src/c/interpolation.c \
613     src/c/someinterp.c
614
615 GATEWAY_CPP_SOURCES = \
616     sci_gateway/cpp/sci_lsq_splin.cpp \
617     sci_gateway/cpp/sci_interp.cpp \
618     sci_gateway/cpp/sci_interp2d.cpp \
619     sci_gateway/cpp/sci_splin.cpp \
620     sci_gateway/cpp/sci_cshep2d.cpp \
621     sci_gateway/cpp/sci_interp3d.cpp \
622     sci_gateway/cpp/sci_linear_interpn.cpp \
623     sci_gateway/cpp/sci_splin2d.cpp \
624     sci_gateway/cpp/sci_splin3d.cpp \
625     sci_gateway/cpp/sci_bsplin3val.cpp \
626     sci_gateway/cpp/sci_eval_cshep2d.cpp
627
628 libsciinterpolation_la_CPPFLAGS = \
629     -I$(srcdir)/includes/ \
630     -I$(srcdir)/src/c/ \
631     -I$(top_srcdir)/modules/ast/includes/ast/ \
632     -I$(top_srcdir)/modules/ast/includes/exps/ \
633     -I$(top_srcdir)/modules/ast/includes/operations/ \
634     -I$(top_srcdir)/modules/ast/includes/parse/ \
635     -I$(top_srcdir)/modules/ast/includes/symbol/ \
636     -I$(top_srcdir)/modules/ast/includes/system_env/ \
637     -I$(top_srcdir)/modules/ast/includes/types/ \
638     -I$(top_srcdir)/modules/ast/includes/analysis/ \
639     -I$(top_srcdir)/modules/output_stream/includes \
640     -I$(top_srcdir)/modules/api_scilab/includes \
641     -I$(top_srcdir)/modules/localization/includes/ \
642     -I$(top_srcdir)/modules/dynamic_link/includes \
643     -I$(top_srcdir)/modules/threads/includes \
644     -I$(top_srcdir)/modules/dynamic_link/includes \
645     -I$(top_srcdir)/modules/string/includes \
646     -I$(top_srcdir)/modules/elementary_functions/includes
647
648 pkglib_LTLIBRARIES = libsciinterpolation.la
649 noinst_LTLIBRARIES = libsciinterpolation-algo.la
650 libsciinterpolation_algo_la_SOURCES = $(INTERPOLATION_C_SOURCES) $(INTERPOLATION_FORTRAN_SOURCES)
651 libsciinterpolation_la_SOURCES = $(GATEWAY_CPP_SOURCES)
652 libsciinterpolation_algo_la_CPPFLAGS = $(libsciinterpolation_la_CPPFLAGS)
653
654 # For the code check (splint)
655 CHECK_SRC = $(INTERPOLATION_C_SOURCES) $(GATEWAY_CPP_SOURCES)
656 INCLUDE_FLAGS = $(libsciinterpolation_la_CFLAGS)
657 libsciinterpolation_la_LIBADD = \
658         libsciinterpolation-algo.la \
659          $(FLIBS)
660
661
662 #### Target ######
663 modulename = interpolation
664
665 #### interpolation : Conf files ####
666 libsciinterpolation_la_rootdir = $(mydatadir)
667 libsciinterpolation_la_root_DATA = license.txt
668
669 ####�interpolation : init scripts ####
670 libsciinterpolation_la_etcdir = $(mydatadir)/etc
671 libsciinterpolation_la_etc_DATA = etc/interpolation.quit etc/interpolation.start
672
673 ####�interpolation : gateway declaration ####
674 libsciinterpolation_la_sci_gatewaydir = $(mydatadir)/sci_gateway
675 libsciinterpolation_la_sci_gateway_DATA = sci_gateway/interpolation_gateway.xml
676
677 # Where all the Scilab stuff is installed (macros, help, ...)
678 mydatadir = $(pkgdatadir)/modules/$(modulename)
679
680 # Set AM_* SCI detected settings
681 AM_CPPFLAGS = $(SCI_CPPFLAGS)
682 AM_CFLAGS = $(SCI_CFLAGS)
683 AM_CXXFLAGS = $(SCI_CXXFLAGS)
684 # append includes to AM_FFLAGS to manage fortran includes
685 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
686
687 # Tag shared libraries with the Scilab version
688 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
689
690 # splint options
691 SPLINT_OPTIONS = -weak -booltype BOOL
692
693 ########################### JAVA ######################################
694 #### We are delegating java compilation to ant... Thanks to that
695 #### the procedure will be the same with Microsoft Windows (C)
696 #### and Linux/Unix
697 #######################################################################
698 TARGETS_ALL = $(am__append_1)
699
700 ################ MACROS ######################
701 # Rule to build a macro
702 # NOT USED  AT THE MOMENT
703 SUFFIXES = .sci 
704
705 ########### INSTALL DOCUMENTATION ###################
706
707 # Install documentation files into the right target
708 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
709 # automake needs the html files to be present which is not the case when
710 # we are building Scilab
711
712 # Where it should be installed
713 pkgdocdir = $(mydatadir)
714
715 # What is the mask of the help source
716 DOCMASKXML = *.xml
717
718 # What is the mask of the MathML sources
719 DOCMASKMML = *.mml
720
721 ########### INSTALL DATA ###################
722 # Install macros, help & demos
723 # Where it should be installed
724 pkgmacrosdir = $(mydatadir)
725 # Which directory we process
726 MACRODIRS = macros/
727 # Mask of the Scilab sources macros
728 MACROMASK = *.sci
729 # Mask of the Scilab executable sources macros
730 MACROBUILDMASK = *.sce
731 # Mask of the Scilab compiled macros
732 MACROBINMASK = *.bin
733 # List of the standard directory for tests
734 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
735 # Where the demos should be installed
736 pkgdemosdir = $(mydatadir)
737 # List of the standard directory for demos
738 DEMOS_DIR = demos
739 # List of the standard directory for examples
740 EXAMPLES_DIR = examples
741 # Where to export JAVA archives (.jar)
742 JARDIR = jar/
743 # JAR files mask
744 JARMASK = *.jar
745 # Chapter file 
746 HELP_CHAPTERDIR = help/
747 HELP_CHAPTERFILE = addchapter.sce
748 HELP_CHAPTERLANG = en_US fr_FR pt_BR
749 all: all-am
750
751 .SUFFIXES:
752 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
753 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
754         @for dep in $?; do \
755           case '$(am__configure_deps)' in \
756             *$$dep*) \
757               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
758                 && { if test -f $@; then exit 0; else break; fi; }; \
759               exit 1;; \
760           esac; \
761         done; \
762         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/interpolation/Makefile'; \
763         $(am__cd) $(top_srcdir) && \
764           $(AUTOMAKE) --foreign modules/interpolation/Makefile
765 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
766         @case '$?' in \
767           *config.status*) \
768             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
769           *) \
770             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
771             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
772         esac;
773 $(top_srcdir)/Makefile.incl.am $(am__empty):
774
775 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
776         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777
778 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
779         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
781         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
782 $(am__aclocal_m4_deps):
783
784 clean-noinstLTLIBRARIES:
785         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
786         @list='$(noinst_LTLIBRARIES)'; \
787         locs=`for p in $$list; do echo $$p; done | \
788               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
789               sort -u`; \
790         test -z "$$locs" || { \
791           echo rm -f $${locs}; \
792           rm -f $${locs}; \
793         }
794
795 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
796         @$(NORMAL_INSTALL)
797         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
798         list2=; for p in $$list; do \
799           if test -f $$p; then \
800             list2="$$list2 $$p"; \
801           else :; fi; \
802         done; \
803         test -z "$$list2" || { \
804           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
805           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
806           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
807           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
808         }
809
810 uninstall-pkglibLTLIBRARIES:
811         @$(NORMAL_UNINSTALL)
812         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
813         for p in $$list; do \
814           $(am__strip_dir) \
815           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
816           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
817         done
818
819 clean-pkglibLTLIBRARIES:
820         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
821         @list='$(pkglib_LTLIBRARIES)'; \
822         locs=`for p in $$list; do echo $$p; done | \
823               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
824               sort -u`; \
825         test -z "$$locs" || { \
826           echo rm -f $${locs}; \
827           rm -f $${locs}; \
828         }
829 src/c/$(am__dirstamp):
830         @$(MKDIR_P) src/c
831         @: > src/c/$(am__dirstamp)
832 src/c/$(DEPDIR)/$(am__dirstamp):
833         @$(MKDIR_P) src/c/$(DEPDIR)
834         @: > src/c/$(DEPDIR)/$(am__dirstamp)
835 src/c/libsciinterpolation_algo_la-interpolation.lo:  \
836         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
837 src/c/libsciinterpolation_algo_la-someinterp.lo:  \
838         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
839 src/fortran/$(am__dirstamp):
840         @$(MKDIR_P) src/fortran
841         @: > src/fortran/$(am__dirstamp)
842 src/fortran/$(DEPDIR)/$(am__dirstamp):
843         @$(MKDIR_P) src/fortran/$(DEPDIR)
844         @: > src/fortran/$(DEPDIR)/$(am__dirstamp)
845 src/fortran/somespline.lo: src/fortran/$(am__dirstamp) \
846         src/fortran/$(DEPDIR)/$(am__dirstamp)
847 src/fortran/dspfit.lo: src/fortran/$(am__dirstamp) \
848         src/fortran/$(DEPDIR)/$(am__dirstamp)
849 src/fortran/cshep2d.lo: src/fortran/$(am__dirstamp) \
850         src/fortran/$(DEPDIR)/$(am__dirstamp)
851
852 libsciinterpolation-algo.la: $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_algo_la_DEPENDENCIES) 
853         $(AM_V_F77LD)$(F77LINK)  $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_LIBADD) $(LIBS)
854 sci_gateway/cpp/$(am__dirstamp):
855         @$(MKDIR_P) sci_gateway/cpp
856         @: > sci_gateway/cpp/$(am__dirstamp)
857 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
858         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
859         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
860 sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo:  \
861         sci_gateway/cpp/$(am__dirstamp) \
862         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
863 sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo:  \
864         sci_gateway/cpp/$(am__dirstamp) \
865         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
866 sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo:  \
867         sci_gateway/cpp/$(am__dirstamp) \
868         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
869 sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo:  \
870         sci_gateway/cpp/$(am__dirstamp) \
871         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
872 sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo:  \
873         sci_gateway/cpp/$(am__dirstamp) \
874         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
875 sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo:  \
876         sci_gateway/cpp/$(am__dirstamp) \
877         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
878 sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo:  \
879         sci_gateway/cpp/$(am__dirstamp) \
880         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
881 sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo:  \
882         sci_gateway/cpp/$(am__dirstamp) \
883         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
884 sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo:  \
885         sci_gateway/cpp/$(am__dirstamp) \
886         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
887 sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo:  \
888         sci_gateway/cpp/$(am__dirstamp) \
889         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
890 sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo:  \
891         sci_gateway/cpp/$(am__dirstamp) \
892         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
893
894 libsciinterpolation.la: $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_la_DEPENDENCIES) 
895         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_LIBADD) $(LIBS)
896
897 mostlyclean-compile:
898         -rm -f *.$(OBJEXT)
899         -rm -f sci_gateway/cpp/*.$(OBJEXT)
900         -rm -f sci_gateway/cpp/*.lo
901         -rm -f src/c/*.$(OBJEXT)
902         -rm -f src/c/*.lo
903         -rm -f src/fortran/*.$(OBJEXT)
904         -rm -f src/fortran/*.lo
905
906 distclean-compile:
907         -rm -f *.tab.c
908
909 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo@am__quote@
910 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo@am__quote@
911 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo@am__quote@
912 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Plo@am__quote@
913 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo@am__quote@
914 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo@am__quote@
915 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo@am__quote@
916 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo@am__quote@
917 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Plo@am__quote@
918 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo@am__quote@
919 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo@am__quote@
920 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo@am__quote@
921 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo@am__quote@
922
923 .c.o:
924 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
925 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
926 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
927 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
930
931 .c.obj:
932 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
933 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
934 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
938
939 .c.lo:
940 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
941 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
942 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
946
947 src/c/libsciinterpolation_algo_la-interpolation.lo: src/c/interpolation.c
948 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciinterpolation_algo_la-interpolation.lo -MD -MP -MF src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo -c -o src/c/libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
949 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/interpolation.c' object='src/c/libsciinterpolation_algo_la-interpolation.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
953
954 src/c/libsciinterpolation_algo_la-someinterp.lo: src/c/someinterp.c
955 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciinterpolation_algo_la-someinterp.lo -MD -MP -MF src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo -c -o src/c/libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
956 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/someinterp.c' object='src/c/libsciinterpolation_algo_la-someinterp.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
960
961 .cpp.o:
962 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
963 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
964 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
968
969 .cpp.obj:
970 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
971 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
972 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
973 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
974 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
975 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
976
977 .cpp.lo:
978 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
979 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
980 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
981 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
982 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
983 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
984
985 sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo: sci_gateway/cpp/sci_lsq_splin.cpp
986 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/cpp/sci_lsq_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lsq_splin.cpp
987 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_lsq_splin.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo' libtool=yes @AMDEPBACKSLASH@
989 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
990 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/cpp/sci_lsq_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lsq_splin.cpp
991
992 sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo: sci_gateway/cpp/sci_interp.cpp
993 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/cpp/sci_interp.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp.cpp
994 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Plo
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo' libtool=yes @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/cpp/sci_interp.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp.cpp
998
999 sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo: sci_gateway/cpp/sci_interp2d.cpp
1000 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/cpp/sci_interp2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp2d.cpp
1001 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo
1002 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo' libtool=yes @AMDEPBACKSLASH@
1003 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1004 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/cpp/sci_interp2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp2d.cpp
1005
1006 sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo: sci_gateway/cpp/sci_splin.cpp
1007 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/cpp/sci_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin.cpp
1008 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Plo
1009 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo' libtool=yes @AMDEPBACKSLASH@
1010 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1011 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/cpp/sci_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin.cpp
1012
1013 sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo: sci_gateway/cpp/sci_cshep2d.cpp
1014 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/cpp/sci_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_cshep2d.cpp
1015 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo
1016 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_cshep2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
1017 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1018 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/cpp/sci_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_cshep2d.cpp
1019
1020 sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo: sci_gateway/cpp/sci_interp3d.cpp
1021 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/cpp/sci_interp3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp3d.cpp
1022 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo
1023 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp3d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo' libtool=yes @AMDEPBACKSLASH@
1024 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1025 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/cpp/sci_interp3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp3d.cpp
1026
1027 sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo: sci_gateway/cpp/sci_linear_interpn.cpp
1028 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/cpp/sci_linear_interpn.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_linear_interpn.cpp
1029 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo
1030 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_linear_interpn.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo' libtool=yes @AMDEPBACKSLASH@
1031 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1032 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/cpp/sci_linear_interpn.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_linear_interpn.cpp
1033
1034 sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo: sci_gateway/cpp/sci_splin2d.cpp
1035 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/cpp/sci_splin2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin2d.cpp
1036 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo
1037 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo' libtool=yes @AMDEPBACKSLASH@
1038 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1039 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/cpp/sci_splin2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin2d.cpp
1040
1041 sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo: sci_gateway/cpp/sci_splin3d.cpp
1042 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/cpp/sci_splin3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin3d.cpp
1043 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo
1044 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin3d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo' libtool=yes @AMDEPBACKSLASH@
1045 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1046 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/cpp/sci_splin3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin3d.cpp
1047
1048 sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo: sci_gateway/cpp/sci_bsplin3val.cpp
1049 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/cpp/sci_bsplin3val.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_bsplin3val.cpp
1050 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo
1051 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_bsplin3val.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo' libtool=yes @AMDEPBACKSLASH@
1052 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1053 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/cpp/sci_bsplin3val.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_bsplin3val.cpp
1054
1055 sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo: sci_gateway/cpp/sci_eval_cshep2d.cpp
1056 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/cpp/sci_eval_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_eval_cshep2d.cpp
1057 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_eval_cshep2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/cpp/sci_eval_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_eval_cshep2d.cpp
1061
1062 .f.o:
1063         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
1064
1065 .f.obj:
1066         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1067
1068 .f.lo:
1069         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
1070
1071 mostlyclean-libtool:
1072         -rm -f *.lo
1073
1074 clean-libtool:
1075         -rm -rf .libs _libs
1076         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1077         -rm -rf src/c/.libs src/c/_libs
1078         -rm -rf src/fortran/.libs src/fortran/_libs
1079 install-libsciinterpolation_la_etcDATA: $(libsciinterpolation_la_etc_DATA)
1080         @$(NORMAL_INSTALL)
1081         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
1082         if test -n "$$list"; then \
1083           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
1084           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit 1; \
1085         fi; \
1086         for p in $$list; do \
1087           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1088           echo "$$d$$p"; \
1089         done | $(am__base_list) | \
1090         while read files; do \
1091           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
1092           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit $$?; \
1093         done
1094
1095 uninstall-libsciinterpolation_la_etcDATA:
1096         @$(NORMAL_UNINSTALL)
1097         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
1098         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1099         dir='$(DESTDIR)$(libsciinterpolation_la_etcdir)'; $(am__uninstall_files_from_dir)
1100 install-libsciinterpolation_la_rootDATA: $(libsciinterpolation_la_root_DATA)
1101         @$(NORMAL_INSTALL)
1102         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
1103         if test -n "$$list"; then \
1104           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
1105           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit 1; \
1106         fi; \
1107         for p in $$list; do \
1108           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1109           echo "$$d$$p"; \
1110         done | $(am__base_list) | \
1111         while read files; do \
1112           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
1113           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit $$?; \
1114         done
1115
1116 uninstall-libsciinterpolation_la_rootDATA:
1117         @$(NORMAL_UNINSTALL)
1118         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
1119         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1120         dir='$(DESTDIR)$(libsciinterpolation_la_rootdir)'; $(am__uninstall_files_from_dir)
1121 install-libsciinterpolation_la_sci_gatewayDATA: $(libsciinterpolation_la_sci_gateway_DATA)
1122         @$(NORMAL_INSTALL)
1123         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
1124         if test -n "$$list"; then \
1125           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
1126           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit 1; \
1127         fi; \
1128         for p in $$list; do \
1129           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1130           echo "$$d$$p"; \
1131         done | $(am__base_list) | \
1132         while read files; do \
1133           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
1134           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit $$?; \
1135         done
1136
1137 uninstall-libsciinterpolation_la_sci_gatewayDATA:
1138         @$(NORMAL_UNINSTALL)
1139         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
1140         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1141         dir='$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1142
1143 ID: $(am__tagged_files)
1144         $(am__define_uniq_tagged_files); mkid -fID $$unique
1145 tags: tags-am
1146 TAGS: tags
1147
1148 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1149         set x; \
1150         here=`pwd`; \
1151         $(am__define_uniq_tagged_files); \
1152         shift; \
1153         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1154           test -n "$$unique" || unique=$$empty_fix; \
1155           if test $$# -gt 0; then \
1156             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1157               "$$@" $$unique; \
1158           else \
1159             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1160               $$unique; \
1161           fi; \
1162         fi
1163 ctags: ctags-am
1164
1165 CTAGS: ctags
1166 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1167         $(am__define_uniq_tagged_files); \
1168         test -z "$(CTAGS_ARGS)$$unique" \
1169           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1170              $$unique
1171
1172 GTAGS:
1173         here=`$(am__cd) $(top_builddir) && pwd` \
1174           && $(am__cd) $(top_srcdir) \
1175           && gtags -i $(GTAGS_ARGS) "$$here"
1176 cscopelist: cscopelist-am
1177
1178 cscopelist-am: $(am__tagged_files)
1179         list='$(am__tagged_files)'; \
1180         case "$(srcdir)" in \
1181           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1182           *) sdir=$(subdir)/$(srcdir) ;; \
1183         esac; \
1184         for i in $$list; do \
1185           if test -f "$$i"; then \
1186             echo "$(subdir)/$$i"; \
1187           else \
1188             echo "$$sdir/$$i"; \
1189           fi; \
1190         done >> $(top_builddir)/cscope.files
1191
1192 distclean-tags:
1193         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1194
1195 distdir: $(DISTFILES)
1196         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1197         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1198         list='$(DISTFILES)'; \
1199           dist_files=`for file in $$list; do echo $$file; done | \
1200           sed -e "s|^$$srcdirstrip/||;t" \
1201               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1202         case $$dist_files in \
1203           */*) $(MKDIR_P) `echo "$$dist_files" | \
1204                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1205                            sort -u` ;; \
1206         esac; \
1207         for file in $$dist_files; do \
1208           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1209           if test -d $$d/$$file; then \
1210             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1211             if test -d "$(distdir)/$$file"; then \
1212               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1213             fi; \
1214             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1215               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1216               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1217             fi; \
1218             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1219           else \
1220             test -f "$(distdir)/$$file" \
1221             || cp -p $$d/$$file "$(distdir)/$$file" \
1222             || exit 1; \
1223           fi; \
1224         done
1225 check-am: all-am
1226         $(MAKE) $(AM_MAKEFLAGS) check-local
1227 check: check-am
1228 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1229 installdirs:
1230         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciinterpolation_la_etcdir)" "$(DESTDIR)$(libsciinterpolation_la_rootdir)" "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"; do \
1231           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1232         done
1233 install: install-am
1234 install-exec: install-exec-am
1235 install-data: install-data-am
1236 uninstall: uninstall-am
1237
1238 install-am: all-am
1239         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1240
1241 installcheck: installcheck-am
1242 install-strip:
1243         if test -z '$(STRIP)'; then \
1244           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1245             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1246               install; \
1247         else \
1248           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1249             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1250             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1251         fi
1252 mostlyclean-generic:
1253
1254 clean-generic:
1255
1256 distclean-generic:
1257         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1258         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1259         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1260         -rm -f sci_gateway/cpp/$(am__dirstamp)
1261         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1262         -rm -f src/c/$(am__dirstamp)
1263         -rm -f src/fortran/$(DEPDIR)/$(am__dirstamp)
1264         -rm -f src/fortran/$(am__dirstamp)
1265
1266 maintainer-clean-generic:
1267         @echo "This command is intended for maintainers to use"
1268         @echo "it deletes files that may require special tools to rebuild."
1269 clean: clean-am
1270
1271 clean-am: clean-generic clean-libtool clean-local \
1272         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1273
1274 distclean: distclean-am
1275         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1276         -rm -f Makefile
1277 distclean-am: clean-am distclean-compile distclean-generic \
1278         distclean-local distclean-tags
1279
1280 dvi: dvi-am
1281
1282 dvi-am:
1283
1284 html: html-am
1285
1286 html-am:
1287
1288 info: info-am
1289
1290 info-am:
1291
1292 install-data-am: install-data-local \
1293         install-libsciinterpolation_la_etcDATA \
1294         install-libsciinterpolation_la_rootDATA \
1295         install-libsciinterpolation_la_sci_gatewayDATA
1296
1297 install-dvi: install-dvi-am
1298
1299 install-dvi-am:
1300
1301 install-exec-am: install-pkglibLTLIBRARIES
1302
1303 install-html: install-html-am
1304
1305 install-html-am: install-html-local
1306
1307 install-info: install-info-am
1308
1309 install-info-am:
1310
1311 install-man:
1312
1313 install-pdf: install-pdf-am
1314
1315 install-pdf-am:
1316
1317 install-ps: install-ps-am
1318
1319 install-ps-am:
1320
1321 installcheck-am:
1322
1323 maintainer-clean: maintainer-clean-am
1324         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1325         -rm -f Makefile
1326 maintainer-clean-am: distclean-am maintainer-clean-generic
1327
1328 mostlyclean: mostlyclean-am
1329
1330 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1331         mostlyclean-libtool
1332
1333 pdf: pdf-am
1334
1335 pdf-am:
1336
1337 ps: ps-am
1338
1339 ps-am:
1340
1341 uninstall-am: uninstall-libsciinterpolation_la_etcDATA \
1342         uninstall-libsciinterpolation_la_rootDATA \
1343         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1344         uninstall-pkglibLTLIBRARIES
1345
1346 .MAKE: check-am install-am install-strip
1347
1348 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1349         check-local clean clean-generic clean-libtool clean-local \
1350         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1351         ctags ctags-am distclean distclean-compile distclean-generic \
1352         distclean-libtool distclean-local distclean-tags distdir dvi \
1353         dvi-am html html-am info info-am install install-am \
1354         install-data install-data-am install-data-local install-dvi \
1355         install-dvi-am install-exec install-exec-am install-html \
1356         install-html-am install-html-local install-info \
1357         install-info-am install-libsciinterpolation_la_etcDATA \
1358         install-libsciinterpolation_la_rootDATA \
1359         install-libsciinterpolation_la_sci_gatewayDATA install-man \
1360         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1361         install-ps install-ps-am install-strip installcheck \
1362         installcheck-am installdirs maintainer-clean \
1363         maintainer-clean-generic mostlyclean mostlyclean-compile \
1364         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1365         tags tags-am uninstall uninstall-am \
1366         uninstall-libsciinterpolation_la_etcDATA \
1367         uninstall-libsciinterpolation_la_rootDATA \
1368         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1369         uninstall-pkglibLTLIBRARIES
1370
1371 .PRECIOUS: Makefile
1372
1373
1374 # This target enables tests for Scilab
1375 check-local: $(top_builddir)/scilab-bin test
1376         if test -d $(mydatadir)/tests; then \
1377           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1378         fi
1379 check-code:
1380         if test -f build.xml; then \
1381                 $(ANT) checkstyle; \
1382         fi
1383         if test -x "$(SPLINT)"; then \
1384                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1385         fi
1386 @NEED_JAVA_TRUE@java:
1387 # Some configurations needs to export JAVA_HOME in the current env
1388 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1389 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1390 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1391 @NEED_JAVA_TRUE@                $(ANT); \
1392 @NEED_JAVA_TRUE@        fi
1393
1394 @NEED_JAVA_TRUE@clean-java:
1395 # Some configurations needs to export JAVA_HOME in the current env
1396 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1397 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1398 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1399 @NEED_JAVA_TRUE@                $(ANT) clean; \
1400 @NEED_JAVA_TRUE@        fi;
1401
1402 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1403 # We call the target swig-build on the variable SWIG_WRAPPERS
1404
1405 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1406 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1407 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1408 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1409 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1410 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1411 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1412 @SWIG_TRUE@             done; \
1413 @SWIG_TRUE@     fi
1414
1415 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1416 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1417 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1418 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1419 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1420 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1421 @SWIG_TRUE@             done; \
1422 @SWIG_TRUE@     fi
1423
1424 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1425 # We call the target swig-build on the variable SWIG_WRAPPERS
1426
1427 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1428 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1429 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1430 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1431 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1432 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1433 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1434 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1435 @GIWS_TRUE@                     else \
1436 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1437 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1438 @GIWS_TRUE@                     fi \
1439 @GIWS_TRUE@             done; \
1440 @GIWS_TRUE@     fi
1441
1442 @GIWS_TRUE@giws-exception:
1443 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1444 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1445 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1446
1447 macros:
1448         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1449                 echo "Error : Cannot build $< : Scilab has not been built"; \
1450         else \
1451                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1452         fi)
1453
1454 # Removes the macros
1455 clean-macros:
1456 # Removes macros (*.bin generated from .sci)
1457         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1458                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1459                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1460         done
1461
1462 test:
1463 # More tests could be added here
1464         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1465         if test -f build.xml -a $$USEANT -eq 1; then \
1466                 $(ANT) test; \
1467         fi
1468
1469 all-local: $(TARGETS_ALL)
1470
1471 .sci.bin:
1472         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1473         echo "Error : Cannot build $< : Scilab has not been build"; \
1474         else \
1475         echo "Creating $@"; \
1476         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1477         fi )
1478
1479 install-html-local:
1480
1481 install-data-local-local:
1482 # Mainly for javasci
1483         @if test -d $(srcdir)/javadoc; then \
1484                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1485         fi
1486 # If the user wants the help sources to be installed
1487 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1488 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1489 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1490 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1491 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1492 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1493 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1494 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1495 @INSTALL_HELP_XML_TRUE@           done ; \
1496 @INSTALL_HELP_XML_TRUE@         fi; \
1497 @INSTALL_HELP_XML_TRUE@  fi; \
1498 @INSTALL_HELP_XML_TRUE@ done; \
1499 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1500 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1501 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1502 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1503 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1504 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1505 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1506 @INSTALL_HELP_XML_TRUE@           done ; \
1507 @INSTALL_HELP_XML_TRUE@         fi; \
1508 @INSTALL_HELP_XML_TRUE@ fi
1509 install-data-local:
1510 # Install the tests
1511         @echo "-------- Install tests (if any) --------"; \
1512         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1513           if test -d $(srcdir)/$$dir/; then \
1514             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1515                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1516                     if test -d "$(srcdir)/$$dir/$$file"; then \
1517                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1518                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1519                     else \
1520                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1521                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1522                     fi \
1523                   done; \
1524           fi; \
1525         done
1526 # Install the help chapter
1527         @echo "-------- Install the help chapter (if any) --------"; \
1528         for lang in $(HELP_CHAPTERLANG); do \
1529                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1530                 if test -f $$HELPFILE; then \
1531                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1532                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1533                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1534                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1535                 fi; \
1536         done
1537 # Install the demos & examples
1538         @echo "-------- Install demos & examples (if any) --------"; \
1539         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1540           if test -d $(srcdir)/$$dir/; then \
1541             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1542                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1543                     if test -d "$(srcdir)/$$dir/$$file"; then \
1544                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1545                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1546                     else \
1547                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1548                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1549                     fi \
1550                   done; \
1551           fi; \
1552         done
1553 # Install the macros
1554         @echo "-------- Install macros (if any) --------"; \
1555         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1556           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1557                 if test -d $(srcdir)/$$dir/; then \
1558                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1559                         if test -n "$(MACROSSPECIALEXT)"; then \
1560                                 specialExtDir=""; \
1561                                 for specialExt in $(MACROSSPECIALEXT); do \
1562                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1563                                 done; \
1564                                 FILELIST="$$FILELIST $$specialExtDir"; \
1565                         fi; \
1566                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1567                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1568                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1569                   done; \
1570                 fi; \
1571         done
1572 # Install java files (.jar)
1573         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1574         echo "-------- Install jar files --------"; \
1575     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1576           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1577                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1578                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1579           done ; \
1580         fi
1581
1582 ########### CLEAN ###################
1583 # Clean help (generated automatically by Scilab)
1584 # It used to clean the macro (clean-macros) but this was causing
1585 # make clean && make to fail Scilab startup
1586 @NEED_JAVA_TRUE@clean-local: clean-java
1587 @NEED_JAVA_FALSE@clean-local:
1588
1589 distclean-local:
1590         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1591
1592 .PHONY: macros java swig giws
1593
1594 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1595 # Otherwise a system limit (for SysV at least) may be exceeded.
1596 .NOEXPORT: